MojoMojo::Formatter::IDLink(3)

NAME
MojoMojo::Formatter::IDLink - Linked {{id:<service name> <word>}}

DESCRIPTION
if you write:

    {{id bayashi}}

it will format like this

    <a href="http://twitter.com/bayashi">bayashi</a>

you can write:

    {{id:cpan bayashi}}

it will format like this

    <a href="http://search.cpan.org/~bayashi/">bayashi</a>

METHODS

  format_content_order
The IDLink formatter has no special requirements in terms of the order it gets run in, so it has a priority of 10.

  format_content
Calls the formatter. Takes a ref to the content as well as the context object.

  process
Here the actual formatting is done.

SEE ALSO
MojoMojo and Module::Pluggable::Ordered.

AUTHORS
Dai Okabayashi, "bayashi at cpan . org"

LICENSE
This library is free software. You can redistribute it and/or modify it under the same terms as Perl itself.